import sys
import requests
from Config import Config

# this is a simple static class that will act as our client. All reqests will be routed through here
# this class will store its authToken as a class variable when it authenticates.
class PontiacClient:
	authToken = 0

	def auth(userName,password):
		url = Config.url+"auth"
		myobj = {"auth": {"userName":userName,"password":password}}

		x = requests.post(url,json=myobj)

		response = x.json()
		token = response['response']['authToken']
		PontiacClient.authToken = token

	def sendPost(url,jsonData):
		headers = {'auth': PontiacClient.authToken}
		x = requests.post(url,json=jsonData,headers=headers)
		response = x.json()
		print(response)
		responseObj = response['response']
		return responseObj

	def sendGet(url,params):
		headers = {'auth': PontiacClient.authToken}
		x = requests.get(url=url,params = params,headers=headers)
		response = x.json()
		print(response)
		responseObj = response['response']
		return responseObj