import json
import base64
from Config import Config

class Creative:

	url = Config.url+"creative"

	def getSerial(fileLoc):
		
		encoded_string = ""

		with open(fileLoc, "rb") as image_file:
    			encoded_string = base64.b64encode(image_file.read())
    			file = encoded_string.decode("utf-8")

		dump = json.dumps(file)
		
		return file

	
	def getObj(name,advertiserId,file):

		resSerial = Creative.getSerial(file)

		staticObj= {
			"name":name,
            "pontiacAdvertiserId":advertiserId,
            "creativeProperties":{
               "clickURL":"http://pontiac.media",
               "encodedRawCreative":resSerial,
               "rawHTML":resSerial,
               "width":300,
               "height":250
            },
            "status":1,
            "creativeType":"image"
			}

		return staticObj